<?php

// Admin  routes  for fbmanager
Route::group(['prefix' => '/admin/trungpro'], function () {
    Route::put('news/workflow/{fbmanager}/{step}', 'FbmanagerAdminController@putWorkflow');
    Route::resource('fbmanager', 'FbmanagerAdminController');
});


// User  routes for fbmanager
Route::group(['prefix' => '/user/trungpro'], function () {
    Route::resource('fbmanager', 'FbmanagerUserController');
});

// Public  routes for fbmanager
Route::group(['prefix' => '/trungpros'], function () {
    Route::get('news/workflow/{fbmanager}/{step}/{user}', 'FbmanagerController@getWorkflow');
    Route::get('/', 'FbmanagerPublicController@index');
    Route::get('/{slug?}', 'FbmanagerPublicController@show');
});


