<?php

namespace Trungpro\Trungpro\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FbmanagerItemTransformer extends TransformerAbstract
{
    public function transform(\Trungpro\Trungpro\Models\Fbmanager $fbmanager)
    {
        return [
            'id'                => $fbmanager->getRouteKey(),
            'users'             => $fbmanager->users,
            'fb_acc'            => $fbmanager->fb_acc,
            'status'            => trans('app.'.$fbmanager->status),
            'created_at'        => format_date($fbmanager->created_at),
            'updated_at'        => format_date($fbmanager->updated_at),
        ];
    }
}