This is a Laravel 5 package that provides trungpro management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `trungpro/trungpro`.

    "trungpro/trungpro": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Trungpro\Trungpro\Providers\TrungproServiceProvider::class,

```

And also add it to alias

```php
'Trungpro'  => Trungpro\Trungpro\Facades\Trungpro::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Trungpro\Trungpro\Providers\TrungproServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Trungpro\Trungpro\Providers\TrungproServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Trungpro\Trungpro\Providers\TrungproServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Trungpro\Trungpro\Providers\TrungproServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Trungpro\Trungpro\Providers\TrungproServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Trungpro\Trungpro\Providers\TrungproServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


